GCORE(1)

NAME
gcore - get core images of running process

SYNOPSIS
gcore [-c corename] pid [pid ...]

DESCRIPTION
gcore creates a core image of the specified processes suitable for use with gdb(1). By default, the core is written to the file “<progname>.core”, where “<progname>” is the program name of the process corresponding to the pid that is given on the command line. This filename can be changed by supplying the -c corename argument, or setting “proc.<pid>.corename” with sysctl(8).

FILES
<progname>.core
    The core image.

SEE ALSO
gdb(1), sysctl(8)

HISTORY
gcore appeared in 4.2BSD, disappeared in NetBSD 1.2, and reappeared in NetBSD 2.0.